org.eclipse.rdf4j.query.resultio.sparqljson

## Class SPARQLStarResultsJSONParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser
    - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLResultsJSONParser
      - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLStarResultsJSONParser

- All Implemented Interfaces:
    QueryResultParser, TupleQueryResultParser
  Direct Known Subclasses:
    SPARQLStarResultsJSONParser

      public class SPARQLStarResultsJSONParser
      extends SPARQLResultsJSONParser

  Parser for SPARQL-star JSON results. This is equivalent to the SPARQL JSON parser with the addition of support for RDF-star triples. See `SPARQLStarResultsJSONConstants` for a description of the RDF-star extension.
  Author:
    Pavel Mihaylov

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `BINDINGS, BNODE, BOOLEAN, DATATYPE, HEAD, LINK, LITERAL, RESULTS, TYPE, TYPED_LITERAL, URI, VALUE, VARS, XMLLANG`

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLStarResultsJSONParser()` Default constructor.
    `SPARQLStarResultsJSONParser(ValueFactory valueFactory)` Constructs a parser with the supplied `ValueFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TupleQueryResultFormat` | `getTupleQueryResultFormat()` Gets the query result format that this parser can parse.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLResultsJSONParser

      `checkTripleType, getQueryResultFormat, parse, parseTripleValue, setTupleQueryResultHandler`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `getSupportedSettings, parseQueryResult, parseQueryResultInternal, parseValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLStarResultsJSONParser

          public SPARQLStarResultsJSONParser()

      Default constructor.

    - #### SPARQLStarResultsJSONParser

          public SPARQLStarResultsJSONParser(ValueFactory valueFactory)

      Constructs a parser with the supplied `ValueFactory`.
      Parameters:
        `valueFactory` - The factory to use to create values.

  - ### Method Detail

    - #### getTupleQueryResultFormat

          public TupleQueryResultFormat getTupleQueryResultFormat()

      Description copied from interface: `TupleQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getTupleQueryResultFormat` in interface `TupleQueryResultParser`
      Overrides:
        `getTupleQueryResultFormat` in class `SPARQLResultsJSONParser`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.